backface culling disabled when object has no material
Closed, ResolvedPublic

Description

hey heres my problems 9that i recieve in the latest rc build.)

1st I have this problem when i start out in the game engine where my flat planes no longer show what direction they are facing by making one side see through in textured mode
(see photo-broken face)
extremity...not that bad

2nd
the second im still trying to recreate, but it seemed major, i am attaching the .blend it happened in
but i clicked something on the balls "game physics"
and then the entire system crashed and i got an internal error for blender
i suppose it may just be me, but it happened once, so itll happen again
i gues just go through the game propertys clicking them...thats what im doing until it crashes again, then ill post results here

never mind i believe i found it

take the front plane that is facing away, and then touch invisible in its game propertys area
then enter the game (p obviously)
move around a little then escape....it should freeze up and give an error

Details

Type
Bug

Could you re test with 2.60a official release?, I tried to redo this bug but it works ok for me on 64bit arch linux.

- Im not sure what you mean by issue #1, that its double sided in viewport?, this is intentional.

- Issue #2, I couldnt redo the freeze, can you include info from the menu "Help -> System Info" ?

im sure i can hold on a second ill need to open the problem blend

also is there a way to redo the invisibility on one side? it helps me know which way the normals on the plane are facing....

I think I know what he is reporting in (1): Backculling is off when object has no material. I'll look into that

the problem does not still do it in blender 2.60.a it seems to be fixed. Although now i cant show anything it was saying in the menu..unless i still have build info on here, one sec



Blender:
============================================

version 2.59 (sub 0), revision 39307. Release
build date: 2011-08-13, 11:44:00
platform: Windows:64bit
binary path: C:\Program Files\Blender Foundation\Blender\blender.exe
build cflags: -DWIN64 /nologo /Ob1 /J /W0 /Gd /we4013 /wd4018 /wd4244 /wd4305 /wd4800 /wd4065 /wd4267 /openmp -DWITH_AUDASPACE -O2 -DNDEBUG -O2 -DNDEBUG -DWIN32 -D_CONSOLE -D_LIB -D_CRT_SECURE_NO_DEPRECATE /openmp -DWITH_AUDASPACE
build cxxflags: /nologo /Ob1 /J /W0 /Gd /we4013 /wd4018 /wd4244 /wd4305 /wd4800 /wd4065 /wd4267 /openmp -DWITH_AUDASPACE /EHsc /openmp -DWITH_AUDASPACE -O2 -DNDEBUG -O2 -DNDEBUG -DWIN32 -D_CONSOLE -D_LIB -D_CRT_SECURE_NO_DEPRECATE /openmp -DWITH_AUDASPACE
build linkflags: /SUBSYSTEM:CONSOLE /MACHINE:X64 /STACK:2097152 /OPT:NOREF /INCREMENTAL:NO /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib
build system: SCons

Python:
============================================

version: 3.2 (r32:88445, Mar 2 2011, 16:59:21) [MSC v.1500 64 bit (AMD64)]
paths:
C:\Users\House\AppData\Roaming\Blender Foundation\Blender\2.59\scripts\addons
C:\Program Files\Blender Foundation\Blender\2.59\scripts\addons
C:\Program Files\Blender Foundation\Blender\2.59\scripts\startup
C:\Program Files\Blender Foundation\Blender\2.59\scripts\modules
C:\Program Files\Blender Foundation\Blender\2.59\python
C:\Program Files\Blender Foundation\Blender\python32.zip
C:\Program Files\Blender Foundation\Blender\2.59\python\DLLs
C:\Program Files\Blender Foundation\Blender\2.59\python\lib
C:\Program Files\Blender Foundation\Blender
C:\Program Files\Blender Foundation\Blender\2.59\scripts\addons\modules

Directories:
============================================

scripts: ['C:\\Program Files\\Blender Foundation\\Blender\\2.59\\scripts', 'C:\\Users\\House\\AppData\\Roaming\\Blender Foundation\\Blender\\2.59\\scripts']
user scripts: None
datafiles: C:\Users\House\AppData\Roaming\Blender Foundation\Blender\2.59\datafiles\
config: C:\Users\House\AppData\Roaming\Blender Foundation\Blender\2.59\config\
scripts : C:\Users\House\AppData\Roaming\Blender Foundation\Blender\2.59\scripts\
autosave: C:\Users\House\AppData\Roaming\Blender Foundation\Blender\2.59\autosave\
tempdir: C:\Users\House\AppData\Local\Temp\

OpenGL
============================================

renderer: Intel Bear Lake B
vendor: Intel
version: 1.4.0 - Build 8.14.10.1930
extensions:
GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_blend_color
GL_EXT_abgr GL_EXT_texture3D GL_EXT_clip_volume_hint
GL_EXT_compiled_vertex_array GL_EXT_cull_vertex
GL_SGIS_texture_edge_clamp GL_SGIS_generate_mipmap
GL_EXT_draw_range_elements GL_SGIS_texture_lod GL_EXT_rescale_normal
GL_EXT_packed_pixels GL_EXT_separate_specular_color
GL_ARB_multitexture GL_EXT_texture_env_combine GL_EXT_bgra
GL_EXT_blend_func_separate GL_EXT_secondary_color GL_EXT_fog_coord
GL_EXT_texture_env_add GL_ARB_texture_cube_map GL_ARB_transpose_matrix
GL_ARB_texture_env_add GL_IBM_texture_mirrored_repeat
GL_EXT_multi_draw_arrays GL_NV_blend_square GL_ARB_texture_compression
GL_3DFX_texture_compression_FXT1 GL_EXT_texture_filter_anisotropic
GL_ARB_texture_border_clamp GL_ARB_point_parameters
GL_ARB_texture_env_combine GL_ARB_texture_env_dot3
GL_ARB_texture_env_crossbar GL_EXT_texture_compression_s3tc
GL_ARB_shadow GL_ARB_window_pos GL_EXT_shadow_funcs
GL_EXT_stencil_wrap GL_ARB_vertex_program GL_ARB_fragment_program
GL_EXT_stencil_two_side GL_ARB_vertex_buffer_object
GL_EXT_texture_lod_bias GL_NV_texgen_reflection GL_ARB_depth_texture
GL_WIN_swap_hint

fixed on rev. 41273 thanks for reporting.
(the bug was indeed backface culling disabled when object had no material)

Dalai Felinto (dfelinto) closed this task as "Resolved".Oct 25 2011, 9:18 AM

ah so is there any way to turn off the backface culling in the most recent version? or is it on by default? sorry maybe this question would be better suited for blenderartists now?

never mind found it, thanks for the fix!